AnyEvent::XMPP::Error::SASL(3)

NAME
AnyEvent::XMPP::Error::SASL - SASL authentication error

Subclass of AnyEvent::XMPP::Error

  METHODS

xml_node ()
    Returns the AnyEvent::XMPP::Node object for this stream error.

condition ()
    Returns the error condition, which might be one of:

       aborted
       incorrect-encoding
       invalid-authzid
       invalid-mechanism
       mechanism-too-weak
       not-authorized
       temporary-auth-failure

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.